package org.kantega.jexmec.store;

/*
 * Copyright 2009 Kantega AS
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import org.kantega.jexmec.Plugin;

/**
 * Provider interface for {@link PluginStore}
 * Used by plugins to get PluginStore where they can retrieve and save
 * information to and from persistent state.
 */
public interface PluginStoreProvider {
    PluginStore getStore(Plugin plugin);
}
